diff --git a/web/package.json b/web/package.json
index 7d9031791..27907da95 100644
--- a/web/package.json
+++ b/web/package.json
@@ -150,7 +150,7 @@
     "xterm-addon-fit": "^0.5.0",
     "xterm-addon-search": "^0.8.0",
     "xterm-addon-web-links": "^0.4.0",
-    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#b09740eb89595f99a925aaca9be5afa4be0fa3cc",
+    "pgadmin4-tree": "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#76d7801ae6c179a5efd3c826c1bd91446a2436fb",
     "react-aspen": "^1.1.0",
     "@types/classnames": "^2.2.6",
     "@types/react": "^16.7.18",
diff --git a/web/pgadmin/static/scss/_pgadmin4-tree.overrides.scss b/web/pgadmin/static/scss/_pgadmin4-tree.overrides.scss
index 859d075b7..af090bc34 100644
--- a/web/pgadmin/static/scss/_pgadmin4-tree.overrides.scss
+++ b/web/pgadmin/static/scss/_pgadmin4-tree.overrides.scss
@@ -39,7 +39,7 @@
     white-space: nowrap;
     padding: 2px 0;
     padding-left: 2px;
-    cursor: default;
+    cursor: pointer !important;
     &:hover, &.pseudo-active {
       background-color: $tree-bg-hover !important;
     }
@@ -102,8 +102,9 @@
         border:1px solid transparent;
         height:auto;
         white-space:normal;
-        cursor:pointer;
+        cursor:pointer !important;
         margin-right:24px;
+        margin-left: 2px;
     }
     &.prompt.new .file-label, &.file .file-label {
         margin-left: 18px;
@@ -115,6 +116,7 @@
         cursor: default;
         color: #c1c1c1;
         margin-left: 3px;
+        cursor: pointer !important;
     }
 }
 
diff --git a/web/yarn.lock b/web/yarn.lock
index acc3d5649..007e2201d 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -7577,9 +7577,9 @@ performance-now@^2.1.0:
   resolved "https://registry.yarnpkg.com/performance-now/-/performance-now-2.1.0.tgz#6309f4e0e5fa913ec1c69307ae364b4b377c9e7b"
   integrity sha1-Ywn04OX6kT7BxpMHrjZLSzd8nns=
 
-"pgadmin4-tree@git+https://github.com/EnterpriseDB/pgadmin4-treeview/#b09740eb89595f99a925aaca9be5afa4be0fa3cc":
+"pgadmin4-tree@git+https://github.com/EnterpriseDB/pgadmin4-treeview/#76d7801ae6c179a5efd3c826c1bd91446a2436fb":
   version "1.0.0"
-  resolved "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#b09740eb89595f99a925aaca9be5afa4be0fa3cc"
+  resolved "git+https://github.com/EnterpriseDB/pgadmin4-treeview/#76d7801ae6c179a5efd3c826c1bd91446a2436fb"
   dependencies:
     "@types/classnames" "^2.2.6"
     "@types/react" "^16.7.18"
